#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, k,i,p, d, j;
    scanf("%d", &n);
    scanf("%d", &k);
    int s[20000];
    for (i=0; i<n; i++)
    {
        scanf("%d", &s[i]);
    }
    for(i=0;i<n && s[i]!=k;i++);
    printf("%d",s[(i+1)%n]);


    return 0;
}